// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_Message.h"
#include "SCW_UK2Node_CallFunction.h"

class UK2Node_Message;

namespace Sourcify
{
	class SCW_UK2Node_Message : public SCW_UK2Node_CallFunction, public virtual ISCW_UK2Node_Message
	{
	public:
		SCW_UK2Node_Message(UK2Node_Message* InK2Node_Message);

		UK2Node_Message* ToUK2Node_Message() const;

		ISCW_UK2Node_MessagePtr ToUK2Node_MessagePtr() override;
		ISCW_UK2Node_MessageConstPtr ToUK2Node_MessagePtr() const override;

	protected:
		UK2Node_Message* K2Node_Message;
	};
} // namespace Sourcify